.button {
  @include themify($themes) {
    background-color: themed('black');
    color: themed('white');
  }
  align-items: center;
  appearance: none;
  border: 0;
  border-radius: map-get($radius, 'button');
  display: inline-flex;
  font-size: map-get($font-size, 'h5');
  font-weight: 600;
  justify-content: center;
  min-height: map-get($heights, 'button');
  outline: none;
  padding: map-get($spacing, 'mobile-small') map-get($spacing, 'desktop-half');
  position: relative;
  text-transform: none;
  transition: map-get($transition, 'background-color'), map-get($transition, 'opacity');

  &:enabled,
  &:not([disabled]) {
    &:hover,
    &:focus {
      @include themify($themes) {
        background-color: themed('brand-primary');
      }
      cursor: pointer;
    }
  }

  &:disabled {
    opacity: .5;
  }
}

.button-cta {
  @include themify($themes) {
    background-color: themed('brand-secondary');
    box-shadow: 1rem 1rem 4rem rgba(themed('black'), .4);
    color: themed('white');
  }
  align-items: center;
  appearance: none;
  border: 0;
  border-radius: map-get($radius, 'cta');
  display: inline-flex;
  font-size: map-get($font-size, 'h5');
  font-weight: 600;
  justify-content: center;
  margin-bottom: 0;
  min-height: map-get($heights, 'button');
  outline: none;
  padding: map-get($spacing, 'mobile-small') map-get($spacing, 'desktop-small');
  position: relative;
  text-align: left;
  text-transform: none;
  transition: map-get($transition, 'background-color'), map-get($transition, 'opacity');

  &:enabled,
  &:not([disabled]) {
    &:hover,
    &:focus {
      @include themify($themes) {
        background-color: themed('brand-primary');
      }
      cursor: pointer;
    }
  }

  &:disabled {
    opacity: .5;
  }
}

.button-cta-ghost {
  @include themify($themes) {
    background-color: themed('white');
    border: 1px solid themed('brand-4');
    box-shadow: none;
    color: themed('brand-7');
  }
  font-weight: 300;
  justify-content: left;

  &:hover,
  &:focus {
    @include themify($themes) {
      background-color: themed('brand-7');
      color: themed('white');
    }
  }
}

.button-cta-green {
  @include themify($themes) {
    background-color: themed('brand-quinary');
  }
}

.button-cta-orange {
  @include themify($themes) {
    background-color: themed('brand-tertiary');
  }
}

.button-link {
  @include themify($themes) {
    background-color: transparent;
    color: themed('black');
  }
  font-weight: 500;
  padding: 0;
}

.button-ghost {
  @include themify($themes) {
    background-color: transparent;
    border: 1px solid themed('brand-4');
    box-shadow: none;
    color: themed('brand-7');
  }
  font-weight: 300;

  &:hover,
  &:focus {
    @include themify($themes) {
      color: themed('white');
    }
  }
}

.button-add {
  padding-right: 5rem;
  position: relative;

  &:before,
  &:after {
    @include themify($themes) {
      background-color: themed('white');
    }
    @include pseudo;
    transition: transform .25s ease-out;
  }

  &:before {
    height: 1.5rem;
    right: 2.5rem;
    top: 1.8rem;
    width: .2rem;
  }

  &:after {
    height: .2rem;
    right: 1.8rem;
    top: 50%;
    width: 1.5rem;
  }
}

.button-text {
  @include breakpoint(max-width map-get($breakpoints, 'breakpoint-sm')) {
    @include hidden;
  }

  + i {
    .button-icon-right & {
      @include breakpoint(max-width map-get($breakpoints, 'breakpoint-sm')) {
        margin-left: 0;
      }
    }
  }
}

.button-center {
  text-align: center;
}

.button-icon-right {
  i {
    margin-left: map-get($spacing, 'mobile-half');
  }
}

.button-icon-left {
  i {
    margin-right: map-get($spacing, 'mobile-half');
  }
}
